<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hemf.record (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.hemf.record (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hemf/hemfplus/record/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/hmef/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hemf/record/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.hemf.record</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hemf/record/HemfRecord.html"
                                            title="interface in org.apache.poi.hemf.record">HemfRecord</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hemf/record/AbstractHemfComment.html"
                                            title="class in org.apache.poi.hemf.record">AbstractHemfComment</a></td>
                    <td class="colLast">
                        <div class="block">Syntactic utility to allow for four different
                            comment classes
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hemf/record/HemfComment.html"
                                            title="class in org.apache.poi.hemf.record">HemfComment</a></td>
                    <td class="colLast">
                        <div class="block">Contains arbitrary data</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hemf/record/HemfCommentEMFPlus.html"
                                            title="class in org.apache.poi.hemf.record">HemfCommentEMFPlus</a></td>
                    <td class="colLast">
                        <div class="block">An HemfCommentEMFPlus may contain one or more EMFPlus records</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hemf/record/HemfCommentEMFSpool.html"
                                            title="class in org.apache.poi.hemf.record">HemfCommentEMFSpool</a></td>
                    <td class="colLast">
                        <div class="block">Not yet implemented</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hemf/record/HemfCommentPublic.html"
                                            title="class in org.apache.poi.hemf.record">HemfCommentPublic</a></td>
                    <td class="colLast">
                        <div class="block">Container class for four subtypes of HemfCommentPublic: BeginGroup, EndGroup,
                            MultiFormats
                            and Windows Metafile.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hemf/record/HemfCommentPublic.BeginGroup.html"
                            title="class in org.apache.poi.hemf.record">HemfCommentPublic.BeginGroup</a></td>
                    <td class="colLast">
                        <div class="block">Stub, to be implemented</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hemf/record/HemfCommentPublic.EndGroup.html"
                            title="class in org.apache.poi.hemf.record">HemfCommentPublic.EndGroup</a></td>
                    <td class="colLast">
                        <div class="block">Stub, to be implemented</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hemf/record/HemfCommentPublic.HemfMultiFormatsData.html"
                            title="class in org.apache.poi.hemf.record">HemfCommentPublic.HemfMultiFormatsData</a></td>
                    <td class="colLast">
                        <div class="block">This encapulates a single record stored within
                            a HemfCommentPublic.MultiFormats record.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hemf/record/HemfCommentPublic.MultiFormats.html"
                            title="class in org.apache.poi.hemf.record">HemfCommentPublic.MultiFormats</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hemf/record/HemfCommentPublic.WindowsMetafile.html"
                            title="class in org.apache.poi.hemf.record">HemfCommentPublic.WindowsMetafile</a></td>
                    <td class="colLast">
                        <div class="block">Stub, to be implemented</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hemf/record/HemfCommentRecord.html"
                                            title="class in org.apache.poi.hemf.record">HemfCommentRecord</a></td>
                    <td class="colLast">
                        <div class="block">This is the outer comment record that is recognized
                            by the initial parse by <a
                                    href="../../../../../org/apache/poi/hemf/record/HemfRecordType.html#comment"><code>HemfRecordType.comment</code></a>.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hemf/record/HemfHeader.html"
                                            title="class in org.apache.poi.hemf.record">HemfHeader</a></td>
                    <td class="colLast">
                        <div class="block">Extracts the full header from EMF files.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hemf/record/HemfText.html"
                                            title="class in org.apache.poi.hemf.record">HemfText</a></td>
                    <td class="colLast">
                        <div class="block">Container class to gather all text-related commands
                            This is starting out as read only, and very little is actually
                            implemented at this point!
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hemf/record/HemfText.ExtCreateFontIndirectW.html"
                            title="class in org.apache.poi.hemf.record">HemfText.ExtCreateFontIndirectW</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutA.html"
                                            title="class in org.apache.poi.hemf.record">HemfText.ExtTextOutA</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hemf/record/HemfText.ExtTextOutW.html"
                                            title="class in org.apache.poi.hemf.record">HemfText.ExtTextOutW</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hemf/record/HemfText.PolyTextOutA.html"
                                            title="class in org.apache.poi.hemf.record">HemfText.PolyTextOutA</a></td>
                    <td class="colLast">
                        <div class="block">Needs to be implemented.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hemf/record/HemfText.PolyTextOutW.html"
                                            title="class in org.apache.poi.hemf.record">HemfText.PolyTextOutW</a></td>
                    <td class="colLast">
                        <div class="block">Needs to be implemented.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hemf/record/HemfText.SetTextAlign.html"
                                            title="class in org.apache.poi.hemf.record">HemfText.SetTextAlign</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hemf/record/HemfText.SetTextColor.html"
                                            title="class in org.apache.poi.hemf.record">HemfText.SetTextColor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hemf/record/HemfText.SetTextJustification.html"
                            title="class in org.apache.poi.hemf.record">HemfText.SetTextJustification</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hemf/record/UnimplementedHemfRecord.html"
                            title="class in org.apache.poi.hemf.record">UnimplementedHemfRecord</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hemf/record/HemfRecordType.html"
                                            title="enum in org.apache.poi.hemf.record">HemfRecordType</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hemf/hemfplus/record/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/hmef/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hemf/record/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
